Subject: Re: bug#76313: New function `replace-region`

From: Stefan Monnier <[email-masked]>
Date: Tue, 18 Feb 2025 12:01:38 -0500

>> `replace-region-contents` is a bad API
> Why is it bad?

- REPLACE-FN is never useful, it's always just as easy (and marginally
  more efficient) to compute the replacement beforehand.
- It defaults to being expensive, whereas most potential users of
  `replace-region` currently use insert+delete-region and thus would
  need to pass an extra "cheaply" argument for fear of being impacted by
  a slowdown.
- MAX-COSTS is ill-defined.

Also, personally I must say that I'd be happier calling `replace-region`
than `replace-region-contents`, just because it's shorter.

Given that `replace-region-contents` is fairly new and very little used,
I don't see much gain in trying to fit within its API.

        Stefan